opencv: cv::BaseColumnFilter Class Reference

Public Member Functions | Public Attributes

# cv::BaseColumnFilter Class Reference

`#include <imgproc.hpp>`

List of all members.

## Public Member Functions
| BaseColumnFilter ()
| the default constructor
virtual void | operator() (const uchar **src, uchar *dst, int dststep, int dstcount, int width)=0
| the filtering operator. Must be overrided in the derived classes. The vertical border interpolation is done outside of the class.
virtual void | reset ()
| resets the internal buffers, if any
virtual | ~BaseColumnFilter ()
| the destructor
## Public Attributes
int | anchor
int | ksize

## Detailed Description

The Base Class for Column-wise Filters

This is the base class for linear or non-linear filters that process columns of 2D arrays. Such filters are used for the "vertical" filtering parts in separable filters.

Several functions in OpenCV return Ptr<BaseColumnFilter> for the specific types of filters, and those pointers can be used directly or within cv::FilterEngine.

Unlike cv::BaseRowFilter, cv::BaseColumnFilter may have some context information, i.e. box filter keeps the sliding sum of elements. To reset the state BaseColumnFilter::reset() must be called (e.g. the method is called by cv::FilterEngine)

## Constructor & Destructor Documentation

cv::BaseColumnFilter::BaseColumnFilter | ( | ) |

the default constructor

virtual cv::BaseColumnFilter::~BaseColumnFilter | ( | ) | `[virtual]`

the destructor

## Member Function Documentation

virtual void cv::BaseColumnFilter::operator() | ( | const uchar ** | src,
|  | uchar * | dst,
|  | int | dststep,
|  | int | dstcount,
|  | int | width
| ) |  | `[pure virtual]`

the filtering operator. Must be overrided in the derived classes. The vertical border interpolation is done outside of the class.

virtual void cv::BaseColumnFilter::reset | ( | ) | `[virtual]`

resets the internal buffers, if any

## Member Data Documentation

int cv::BaseColumnFilter::anchor

int cv::BaseColumnFilter::ksize

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/imgproc/include/opencv2/imgproc/imgproc.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines